#!/usr/bin/env python3

from os import path
from imp import find_module, load_module
from sys import argv

d,b = path.split(argv[1])
assert(b[-3:] == ".py")
module_tuple = find_module(b[:-3], [d])
module = load_module(b[:-3], *module_tuple)
module_tuple[0].close()

print("function param = config()")
for k,v in module.__dict__.items():
    if k != k.upper():
        continue
    print("param."+k+" = "+str(v)+";")

for k,v in module.__dict__.items():
    if k != k.lower() or not isinstance(v, list):
        continue
    print("param."+k+" = {"+", ".join(["'%s'"%e for e in v])+"};")

print("end")
