#!/bin/gnuplot
set term post landscape size 14.8cm,21cm color enhanced
set output "spMemoryBreakdown.ps"

set title "Runtime breakdown, l_x = l_y = 25, n_{columns per block} = 300"
set colorsequence podo;
set style data histograms
set style histogram rowstacked
set style fill solid 0.25 border
set boxwidth .5
set key autotitle columnheader
set xtics rotate by 315
set xlabel "Implementation"
set ylabel "Runtime (s)"

plot '../../share/profiling_streaming_pipeline/20160530_164051_memory_runtime.dat' using ($2):xtic(1) title column(2), for [i=3:5] '' using (column(i)) title column(i);
