#!/bin/bash -
me=`basename "$0"`
mydir=`dirname "$0"`

matlab_string_list() {
	fns="{"
	prefix_comma=
	for fn in "$@"; do
		[ "$prefix_comma" ] && fns+=", "
		fns+="'$fn'"
		prefix_comma=1
	done
	fns+="}"
	echo "$fns"
}


kill_children() {
	kill `jobs -p`
}
trap kill_children INT TERM

matlab -nodesktop -nosplash -r "userpath('$(readlink -f common)');AMoG($(matlab_string_list "$@")); quit force" | grep -E '^[A-Z]+ ' &
wait
