function [suffix] = cmxCreate(type, dims)
    dim_suffix = num2str(dims(1));
    for i = 2:numel(dims)
        dim_suffix = [dim_suffix, 'x', num2str(dims(i))];
    end
    if strcmp(type, 'single') | strcmp(type, 'float') | strcmp(type, 'float32')
        dtype = 'f32';
    elseif strcmp(type, 'double') | strcmp(type, 'float64')
        dtype = 'f64';
    else
        dtype = type;
    end
    suffix = ['.cm', dtype, '_', dim_suffix];
end
