#pragma once
extern "C" {__global__ void tile(float *out, dim3 original, dim3 tile, const float *in) {
    for (int i = blockIdx.x*blockDim.x + threadIdx.x; i < original.x*tile.x; i += blockDim.x*gridDim.x) {
        for (int j = blockIdx.y*blockDim.y + threadIdx.y; j < original.y*tile.y; j += blockDim.y*gridDim.y) {
            out[j*original.x*tile.x + i] = in[(j/tile.y)*original.x + (i/tile.x)];
        }
    }
}}
