#include <cassert>
#include <arrayfire.h>

#include "../af_utils.hpp"

int main(int argc, char *argv[]) {
	af::setBackend(AF_BACKEND_CPU); // lots of RAM

	assert(argc == 3);
	char *filename = argv[1];
	af_utils::Geometry geometry(argv[2]);

	af::array A = af_utils::load_cmx(filename);

	af_print(af_utils::crop(A, geometry));
	return 0;
}
