#!/bin/gawk -f
BEGIN {
	Body=0
	EndPattern = "DO NOT MATCH THIS"
}

!Body && match($0, /\(\(i=0;i<([0-9]+);i\+\+\)\)/, m) {NITERATION = m[1]}
/^---BENCHMARK BEGIN---$/ {Body=1}
/^---BENCHMARK END---$/ {Body=0}

Body && match($0, / 0+\/([0-9]+) ([0-9.]+)/, m) {
	nchunk = m[1]
	Start = m[2]
	EndPattern=" " nchunk-1 "/" nchunk " "
}
Body && $0~EndPattern {
	benchmark = $1
	duration = $4-$3

	N[benchmark] += 1
	delta = duration - u[benchmark]
	u[benchmark] += delta/N[benchmark]
	SSM[benchmark] += delta * (duration-u[benchmark])
	if (N[benchmark] == 1) {
		min[benchmark] = duration
		max[benchmark] = duration
	} else if (duration < min[benchmark]) {
		min[benchmark] = duration
	} else if (duration > max[benchmark]) {
		max[benchmark] = duration;
	}
}

END {
	for (benchmark in N) {
		stderr = sqrt(SSM[benchmark]/N[benchmark]) / N[benchmark]
		print benchmark, u[benchmark], stderr, min[benchmark], max[benchmark]
	}
}
